summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavide Pesavento <pesa@gentoo.org>2011-12-28 10:57:38 +0000
committerDavide Pesavento <pesa@gentoo.org>2011-12-28 10:57:38 +0000
commit38bc4767da122f3105f6b5376c8c7e44f8375b91 (patch)
tree8862f9a806a4a897aad3bf1b3a7a65f418eba89c /eclass/qt4-r2.eclass
parentFix tikz support, bug 396251, patch from upstream bug tracker. (diff)
downloadgentoo-2-38bc4767da122f3105f6b5376c8c7e44f8375b91.tar.gz
gentoo-2-38bc4767da122f3105f6b5376c8c7e44f8375b91.tar.bz2
gentoo-2-38bc4767da122f3105f6b5376c8c7e44f8375b91.zip
Fix regression with DOCS and non-default ${S}, bug #396227.
Diffstat (limited to 'eclass/qt4-r2.eclass')
-rw-r--r--eclass/qt4-r2.eclass7
1 files changed, 3 insertions, 4 deletions
diff --git a/eclass/qt4-r2.eclass b/eclass/qt4-r2.eclass
index 7bf7d2fbf1ec..d6231bb84026 100644
--- a/eclass/qt4-r2.eclass
+++ b/eclass/qt4-r2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-r2.eclass,v 1.15 2011/12/26 11:47:47 pesa Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-r2.eclass,v 1.16 2011/12/28 10:57:38 pesa Exp $
# @ECLASS: qt4-r2.eclass
# @MAINTAINER:
@@ -128,7 +128,6 @@ qt4-r2_src_compile() {
# @ECLASS-VARIABLE: DOCSDIR
# @DESCRIPTION:
# Directory containing documentation, defaults to ${S}.
-DOCSDIR="${DOCSDIR:-${S}}"
# @FUNCTION: qt4-r2_src_install
# @DESCRIPTION:
@@ -140,9 +139,9 @@ qt4-r2_src_install() {
emake INSTALL_ROOT="${D}" DESTDIR="${D}" install || die "emake install failed"
# install documentation
- local doc
+ local doc dir="${DOCSDIR:-${S}}"
for doc in ${DOCS}; do
- dodoc "${DOCSDIR}/${doc}" || die "dodoc failed"
+ dodoc "${dir}/${doc}" || die "dodoc failed"
done
}